Bug 19351 - Add copynumber in the checkouts table in staff interface
Summary: Add copynumber in the checkouts table in staff interface
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27133
  Show dependency treegraph
 
Reported: 2017-09-20 20:11 UTC by Patrick Robitaille
Modified: 2020-12-14 17:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 19351: Add items.copynumber to the checkouts table (5.27 KB, patch)
2020-09-24 22:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19351: Add items.copynumber to the checkouts table (5.32 KB, patch)
2020-09-25 10:40 UTC, David Nind
Details | Diff | Splinter Review
Bug 19351: Add items.copynumber to the checkouts table (5.36 KB, patch)
2020-10-15 13:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Robitaille 2017-09-20 20:11:47 UTC
Hi, 

It would be usefull to see the copy number ($t) in the checkout column. When you are in a user's profil, in the checkout's section you can't see the copy number for items. It will be helpfull to see this informations when in your collection you have many copy number for an item. This information coulb be place in the column Call no?

Thanks, Patrick.
Comment 1 Katrin Fischer 2020-09-24 22:27:45 UTC
Created attachment 110713 [details] [review]
Bug 19351: Add items.copynumber to the checkouts table

This adds the items.copynumber to the checkouts table in the
patron account in the staff interface.

To test:
- Apply patch
- Check out some items with and without copy number in the item
  to any patron
- In the checkouts table on the Checkouts and Details tabs:
- Verify that a new column shows 'copy no' shows after 'call no'
- Verify the information displays correctly
- Verify that the column configuration settings for the new column works
Comment 2 David Nind 2020-09-25 10:40:04 UTC
Created attachment 110745 [details] [review]
Bug 19351: Add items.copynumber to the checkouts table

This adds the items.copynumber to the checkouts table in the
patron account in the staff interface.

To test:
- Apply patch
- Check out some items with and without copy number in the item
  to any patron
- In the checkouts table on the Checkouts and Details tabs:
- Verify that a new column shows 'copy no' shows after 'call no'
- Verify the information displays correctly
- Verify that the column configuration settings for the new column works

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Kyle M Hall 2020-10-15 13:22:48 UTC
Created attachment 111733 [details] [review]
Bug 19351: Add items.copynumber to the checkouts table

This adds the items.copynumber to the checkouts table in the
patron account in the staff interface.

To test:
- Apply patch
- Check out some items with and without copy number in the item
  to any patron
- In the checkouts table on the Checkouts and Details tabs:
- Verify that a new column shows 'copy no' shows after 'call no'
- Verify the information displays correctly
- Verify that the column configuration settings for the new column works

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-11-04 12:02:30 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 21:32:49 UTC
enhancement will not be backported to 20.05.x